## kollision 23.08.4

=== debian/changelog ===
kollision (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:18:19 +0000

kollision (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:38:20 +0000

kollision (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:34:16 +0100

=== debian/control ===
Source: kollision
Section: games
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Daniel Schepler <schepler@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.90.0~),
               gettext,
               libkf5config-dev (>= 5.90.0~),
               libkf5coreaddons-dev (>= 5.90.0~),
               libkf5crash-dev (>= 5.90.0~),
               libkf5dbusaddons-dev (>= 5.90.0~),
               libkf5doctools-dev (>= 5.90.0~),
               libkf5i18n-dev (>= 5.90.0~),
               libkf5kdegames-dev (>= 4:23.08.4~),
               libkf5widgetsaddons-dev (>= 5.90.0~),
               libkf5xmlgui-dev (>= 5.90.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: http://games.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kollision
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kollision

Package: kollision
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: khelpcenter
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: simple ball dodging game
 In Kollision you use mouse to control a small blue ball in a closed space
 environment filled with small red balls, which move about chaotically.
 Your goal is to avoid touching any of those red balls with your blue one,
 because the moment you do the game will be over. The longer you can stay in
 game the higher will your score be.
 .
 This package is part of the KDE games module.

## kollision 23.08.5

=== debian/changelog ===
kollision (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:08:58 -0700

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                libkf5dbusaddons-dev (>= 5.90.0~),
                libkf5doctools-dev (>= 5.90.0~),
                libkf5i18n-dev (>= 5.90.0~),
-               libkf5kdegames-dev (>= 4:23.08.4~),
+               libkf5kdegames-dev (>= 4:23.08.5~),
                libkf5widgetsaddons-dev (>= 5.90.0~),
                libkf5xmlgui-dev (>= 5.90.0~),
                pkg-kde-tools (>> 0.15.15),

## kollision 24.08.2

=== debian/changelog ===
kollision (4:24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 02 Nov 2024 17:57:45 -0500

kollision (4:24.08.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update build dependencies and rules for KF6.
  * Update Standards-Version to 4.7.0, no changes needed.

 -- Simon Quigley <tsimonq2@debian.org>  Sat, 02 Nov 2024 01:06:19 -0500

kollision (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:50:34 +1100

kollision (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:11:04 +0000

=== debian/control ===
Source: kollision
Section: games
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Daniel Schepler <schepler@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               libkdegames6-dev,
               libkf6config-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6dbusaddons-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6widgetsaddons-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               pkg-kde-tools,
               qt6-base-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: http://games.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kollision
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kollision

Package: kollision
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: khelpcenter,
Breaks: ${kde-l10n:all},
Replaces: ${kde-l10n:all},
Description: simple ball dodging game
 In Kollision you use mouse to control a small blue ball in a closed space
 environment filled with small red balls, which move about chaotically.
 Your goal is to avoid touching any of those red balls with your blue one,
 because the moment you do the game will be over. The longer you can stay in
 game the higher will your score be.
 .
 This package is part of the KDE games module.

## kollision 24.12.0

=== debian/changelog ===
kollision (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:16:27 +0000

kollision (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:11:25 +0000

kollision (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Nov 2024 12:48:50 +0000

kollision (4:24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:43:44 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev,
+               libkdegames6-dev (>= 4:24.12.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),
                libkf6crash-dev (>= 6.0.0~),

## kollision 24.12.1

=== debian/changelog ===
kollision (4:24.12.1-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Wed, 15 Jan 2025 18:05:57 +0100

kollision (4:24.12.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sat, 21 Dec 2024 09:12:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: kollision
 Section: games
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Daniel Schepler <schepler@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
@@ -12,7 +11,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:24.12.0~),
+               libkdegames6-dev,
                libkf6config-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),
                libkf6crash-dev (>= 6.0.0~),
@@ -26,8 +25,8 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: http://games.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kollision
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kollision
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kollision
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kollision.git
 
 Package: kollision
 Architecture: any

## kollision 24.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

# Release Service version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "24")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "3")
set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")

# Bump KOLLISION_BASE_VERSION once new features are added
set(KOLLISION_BASE_VERSION "0.3")
set(KOLLISION_VERSION "${KOLLISION_BASE_VERSION}.${RELEASE_SERVICE_COMPACT_VERSION}")

project(kollision VERSION ${KOLLISION_VERSION})

set(QT_MIN_VERSION "6.5.0")
set(KF_MIN_VERSION "6.0.0")

find_package(ECM ${KF_MIN_VERSION} REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMAddAppIcon)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(FeatureSummary)
include(ECMDeprecationSettings)

include(InternalMacros)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS
    Widgets
)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    Config
    CoreAddons
    Crash
    DBusAddons
    DocTools
    I18n
    WidgetsAddons
    XmlGui
)

find_package(KDEGames6 6.0.0 REQUIRED)

add_definitions(-DTRANSLATION_DOMAIN="kollision")

ecm_set_disabled_deprecation_versions(
    QT 6.8.0
    KF 6.7
    KDEGAMES 6.0
)

add_subdirectory(themes)
add_subdirectory(pictures)
add_subdirectory(sounds)
add_subdirectory(doc)
add_subdirectory(src)

ki18n_install(po)
kdoctools_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kollision (4:24.12.3-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Build depend on current version of libkdegames.

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 09:14:19 +0000

kollision (4:24.12.3-1) unstable; urgency=medium

  * New upstream release
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 07 Mar 2025 15:59:34 +0100

kollision (4:24.12.2-1) unstable; urgency=medium

  * New upstream release
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 02 Mar 2025 18:58:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kollision
 Section: games
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Daniel Schepler <schepler@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
@@ -11,7 +12,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev,
+               libkdegames6-dev (>= 4:24.12.3~),
                libkf6config-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),
                libkf6crash-dev (>= 6.0.0~),
@@ -25,8 +26,8 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: http://games.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kollision
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kollision.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kollision
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kollision
 
 Package: kollision
 Architecture: any

## kollision 25.04.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
 # Release Service version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "24")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MAJOR "25")
+set (RELEASE_SERVICE_VERSION_MINOR "04")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump KOLLISION_BASE_VERSION once new features are added
@@ -43,6 +43,7 @@
     I18n
     WidgetsAddons
     XmlGui
+    IconThemes
 )
 
 find_package(KDEGames6 6.0.0 REQUIRED)
@@ -50,8 +51,8 @@
 add_definitions(-DTRANSLATION_DOMAIN="kollision")
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.8.0
-    KF 6.7
+    QT 6.9.0
+    KF 6.12.0
     KDEGAMES 6.0
 )

=== pictures/CMakeLists.txt ===
add_subdirectory(ox)

add_subdirectory(hi)

=== pictures/ox/CMakeLists.txt ===

ecm_install_icons(ICONS 128-apps-kollision.png  22-apps-kollision.png  48-apps-kollision.png
16-apps-kollision.png   32-apps-kollision.png  64-apps-kollision.png
DESTINATION ${KDE_INSTALL_ICONDIR} THEME oxygen)

=== debian/changelog ===
kollision (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.
  * Remove inactive uploaders.
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 22:27:50 +0200

=== debian/control ===
Source: kollision
Section: games
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Daniel Schepler <schepler@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: debhelper-compat (= 13),
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               libkdegames6-dev (>= 4:6.0.0~),
               libkf6config-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6dbusaddons-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6iconthemes-dev (>= 6.0.0~),
               libkf6widgetsaddons-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               pkg-kde-tools,
               qt6-base-dev (>= 6.5.0~),
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://apps.kde.org/kollision/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kollision
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kollision.git

Package: kollision
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: khelpcenter,
Breaks: ${kde-l10n:all},
Replaces: ${kde-l10n:all},
Description: simple ball dodging game
 In Kollision you use mouse to control a small blue ball in a closed space
 environment filled with small red balls, which move about chaotically.
 Your goal is to avoid touching any of those red balls with your blue one,
 because the moment you do the game will be over. The longer you can stay in
 game the higher will your score be.
 .
 This package is part of the KDE games module.

## kollision 25.04.3

=== debian/changelog ===
kollision (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:48:44 +0100

kollision (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:52:02 +0100

kollision (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:11:24 +0100

kollision (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:54:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,33 @@
 Source: kollision
 Section: games
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Daniel Schepler <schepler@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
+           Norbert Preining <norbert@preining.info>,
            Sune Vuorela <sune@debian.org>,
-Build-Depends: debhelper-compat (= 13),
-               cmake (>= 3.16~),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:6.0.0~),
+               libkdegames6-dev (>= 4:25.04.3~),
                libkf6config-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),
                libkf6crash-dev (>= 6.0.0~),
                libkf6dbusaddons-dev (>= 6.0.0~),
                libkf6doctools-dev (>= 6.0.0~),
                libkf6i18n-dev (>= 6.0.0~),
-               libkf6iconthemes-dev (>= 6.0.0~),
                libkf6widgetsaddons-dev (>= 6.0.0~),
                libkf6xmlgui-dev (>= 6.0.0~),
                pkg-kde-tools,
                qt6-base-dev (>= 6.5.0~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Homepage: https://apps.kde.org/kollision/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kollision
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kollision.git
+Homepage: http://games.kde.org/
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kollision
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kollision
 
 Package: kollision
 Architecture: any

## kollision 25.07.80

=== debian/changelog ===
kollision (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:17:25 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:25.04.3~),
+               libkdegames6-dev (>= 4:25.07.80~),
                libkf6config-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),
                libkf6crash-dev (>= 6.0.0~),

## kollision 25.07.90

=== debian/changelog ===
kollision (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:52:31 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:25.07.80~),
+               libkdegames6-dev (>= 4:25.07.90~),
                libkf6config-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),
                libkf6crash-dev (>= 6.0.0~),

## kollision 25.08.0

=== doc/CMakeLists.txt ===
########### install files ###############

kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kollision)

=== debian/changelog ===
kollision (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:55:46 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:25.07.90~),
+               libkdegames6-dev (>= 4:25.08.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),
                libkf6crash-dev (>= 6.0.0~),

## kollision 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # Release Service version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "04")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump KOLLISION_BASE_VERSION once new features are added
@@ -52,7 +52,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.9.0
-    KF 6.12.0
+    KF 6.15.0
     KDEGAMES 6.0
 )

=== themes/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 Friedrich W. H. Kossebau <kossebau@kde.org>
#
# SPDX-License-Identifier: BSD-3-Clause

function(install_theme name)
    cmake_parse_arguments(ARG "" "SVG" "" ${ARGN})
    if (NOT ARG_SVG)
        set(ARG_SVG "${name}.svg")
    endif()
    set(svgz "${CMAKE_CURRENT_BINARY_DIR}/${ARG_SVG}z")
    generate_svgz(${ARG_SVG} ${svgz} "theme-")
    install(
        FILES
            ${svgz}
        DESTINATION ${KDE_INSTALL_DATADIR}/kollision/themes
    )
endfunction()

# default.desktop does not need to be installed anymore
install_theme(default)

=== debian/changelog ===
kollision (4:25.08.1-0zneon+24.04+noble+release+build18) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 10 Sep 2025 04:33:23 +0000

kollision (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 10:38:42 +0000

kollision (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 14:04:56 +0000

kollision (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 12:36:04 +0000

kollision (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 11:35:44 +0000

kollision (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 05:25:35 +0000

kollision (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 12:35:23 +0000

kollision (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 14:58:12 +0000

kollision (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 15:39:53 +0000

kollision (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 20:31:50 +0000

kollision (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:27:14 +0000

kollision (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 11:36:27 +0000

kollision (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:14:46 +0000

kollision (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 08:44:54 +0000

kollision (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 12:44:00 +0000

kollision (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:21:24 +0000

kollision (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:39:29 +0000

kollision (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:31:45 +0000

kollision (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:22:36 +0000

kollision (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:02:20 +0000

kollision (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Nov 2023 17:08:42 +0000

kollision (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:36:25 +0000

kollision (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 23:18:47 +0000

kollision (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:07:58 +0000

kollision (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 22:41:13 +0000

kollision (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:28:25 +0000

kollision (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 18:05:10 +0000

kollision (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 16:41:15 +0000

kollision (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:47:28 +0000

kollision (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 10:08:39 +0000

kollision (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Sep 2022 10:05:25 +0000

kollision (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 10:08:04 +0000

kollision (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 12:54:18 +0000

kollision (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:18:22 +0000

kollision (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 14:14:54 +0000

kollision (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 13:24:54 +0000

kollision (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 12:05:45 +0000

kollision (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Jan 2022 11:08:46 +0000

kollision (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Oct 2021 14:56:37 +0000

kollision (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:33:37 +0000

kollision (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Aug 2021 12:21:15 +0000

kollision (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:57:23 +0000

kollision (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021.12.06:37 +0000

kollision (4:21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:57:52 +0000

kollision (4:21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:24:50 +0000

kollision (4:20.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Mar 2021 13:03:21 +0000



=== debian/control ===
Source: kollision
Section: games
Priority: optional
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper-compat (= 12),
               kf6-extra-cmake-modules,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kxmlgui-dev,
               libkdegames6-dev,
               pkg-kde-tools-neon,
               qt6-base-dev
Standards-Version: 4.1.4
Homepage: http://games.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/kollision.git
Vcs-Browser: https://invent.kde.org/neon/kde/kollision
Maintainer: Neon CI <neon@kde.org>

Package: kollision
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: khelpcenter
Description: simple ball dodging game
 In Kollision you use mouse to control a small blue ball in a closed space
 environment filled with small red balls, which move about chaotically.
 Your goal is to avoid touching any of those red balls with your blue one,
 because the moment you do the game will be over. The longer you can stay in
 game the higher will your score be.
 .
 This package is part of the KDE games module.

## kollision 25.08.1+p24.04+vstable+git20250910.0433

=== debian/changelog ===
kollision (4:25.08.1+p24.04+vstable+git20250910.0433-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 10 Sep 2025 04:33:52 +0000

## kollision 25.08.1+p24.04+vstable+git20251001.0748

=== debian/changelog ===
kollision (4:25.08.1+p24.04+vstable+git20251001.0748-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 07:48:54 +0000

## kollision 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Release Service version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION_MICRO "2")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump KOLLISION_BASE_VERSION once new features are added

=== debian/changelog ===
kollision (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:50:06 +0100

kollision (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:10:26 +0100

=== debian/control ===
Source: kollision
Section: games
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Daniel Schepler <schepler@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               libkdegames6-dev (>= 4:25.08.2~),
               libkf6config-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6dbusaddons-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6widgetsaddons-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               pkg-kde-tools,
               qt6-base-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: http://games.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kollision
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kollision

Package: kollision
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: khelpcenter,
Breaks: ${kde-l10n:all},
Replaces: ${kde-l10n:all},
Description: simple ball dodging game
 In Kollision you use mouse to control a small blue ball in a closed space
 environment filled with small red balls, which move about chaotically.
 Your goal is to avoid touching any of those red balls with your blue one,
 because the moment you do the game will be over. The longer you can stay in
 game the higher will your score be.
 .
 This package is part of the KDE games module.

## kollision 25.08.2+p24.04+vstable+git20251011.1248

=== debian/changelog ===
kollision (4:25.08.2+p24.04+vstable+git20251011.1248-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 12:48:59 +0000

kollision (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 05:23:34 +0000

## kollision 25.08.2+p24.04+vstable+git20251019.0531

=== debian/changelog ===
kollision (4:25.08.2+p24.04+vstable+git20251019.0531-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 05:31:03 +0000

## kollision 25.08.2+p24.04+vstable+git20251031.1051

=== debian/changelog ===
kollision (4:25.08.2+p24.04+vstable+git20251031.1051-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 10:51:41 +0000

## kollision 25.08.2+p24.04+vunstable+git20251011.0439

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # Release Service version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "2")
+set (RELEASE_SERVICE_VERSION_MINOR "11")
+set (RELEASE_SERVICE_VERSION_MICRO "70")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump KOLLISION_BASE_VERSION once new features are added
@@ -52,7 +52,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.9.0
-    KF 6.15.0
+    KF 6.18.0
     KDEGAMES 6.0
 )

=== debian/changelog ===
kollision (4:25.08.2+p24.04+vunstable+git20251011.0439-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 04:39:18 +0000

## kollision 25.08.2+p24.04+vunstable+git20251015.1600

=== debian/changelog ===
kollision (4:25.08.2+p24.04+vunstable+git20251015.1600-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 16:00:42 +0000

## kollision 25.08.2+p24.04+vunstable+git20251020.1331

=== CMakeLists.txt ===
--- 
+++ 
@@ -52,7 +52,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.9.0
-    KF 6.18.0
+    KF 6.19.0
     KDEGAMES 6.0
 )

=== debian/changelog ===
kollision (4:25.08.2+p24.04+vunstable+git20251020.1331-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 13:31:32 +0000

## kollision 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # Release Service version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "70")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump KOLLISION_BASE_VERSION once new features are added
@@ -52,7 +52,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.9.0
-    KF 6.19.0
+    KF 6.15.0
     KDEGAMES 6.0
 )

=== debian/changelog ===
kollision (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:26:08 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:25.08.2~),
+               libkdegames6-dev (>= 4:25.08.3~),
                libkf6config-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),
                libkf6crash-dev (>= 6.0.0~),

## kollision 25.08.3+p24.04+vunstable+git20251123.1017

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
 # Release Service version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MAJOR "26")
+set (RELEASE_SERVICE_VERSION_MINOR "03")
+set (RELEASE_SERVICE_VERSION_MICRO "70")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump KOLLISION_BASE_VERSION once new features are added
@@ -51,8 +51,8 @@
 add_definitions(-DTRANSLATION_DOMAIN="kollision")
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.9.0
-    KF 6.15.0
+    QT 6.10.0
+    KF 6.19.0
     KDEGAMES 6.0
 )

=== debian/changelog ===
kollision (4:25.08.3+p24.04+vunstable+git20251123.1017-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 10:17:32 +0000

kollision (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:41:25 +1000

## kollision 25.08.3+p24.04+vunstable+git20251204.0549

=== debian/changelog ===
kollision (4:25.08.3+p24.04+vunstable+git20251204.0549-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 05:49:00 +0000

## kollision 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
 # Release Service version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "26")
-set (RELEASE_SERVICE_VERSION_MINOR "03")
-set (RELEASE_SERVICE_VERSION_MICRO "70")
+set (RELEASE_SERVICE_VERSION_MAJOR "25")
+set (RELEASE_SERVICE_VERSION_MINOR "11")
+set (RELEASE_SERVICE_VERSION_MICRO "80")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump KOLLISION_BASE_VERSION once new features are added
@@ -51,7 +51,7 @@
 add_definitions(-DTRANSLATION_DOMAIN="kollision")
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.10.0
+    QT 6.9.0
     KF 6.19.0
     KDEGAMES 6.0
 )

=== debian/changelog ===
kollision (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 07:59:09 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:25.08.3~),
+               libkdegames6-dev (>= 4:25.11.80~),
                libkf6config-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),
                libkf6crash-dev (>= 6.0.0~),

## kollision 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Release Service version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "80")
+set (RELEASE_SERVICE_VERSION_MICRO "90")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump KOLLISION_BASE_VERSION once new features are added

=== debian/changelog ===
kollision (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:09:39 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:25.11.80~),
+               libkdegames6-dev (>= 4:25.11.90~),
                libkf6config-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),
                libkf6crash-dev (>= 6.0.0~),

## kollision 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # Release Service version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "90")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump KOLLISION_BASE_VERSION once new features are added

=== debian/changelog ===
kollision (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:26:53 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:25.11.90~),
+               libkdegames6-dev (>= 4:25.12.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),
                libkf6crash-dev (>= 6.0.0~),

## kollision 25.12.0+p24.04+vstable+git20251208.1916

=== debian/changelog ===
kollision (4:25.12.0+p24.04+vstable+git20251208.1916-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:16:30 +0000

kollision (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:37:40 +1000

## kollision 25.12.0+p24.04+vstable+git20251211.0156

=== debian/changelog ===
kollision (4:25.12.0+p24.04+vstable+git20251211.0156-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Dec 2025 01:56:05 +0000

## kollision 25.12.1

=== debian/changelog ===
kollision (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:09:16 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:25.12.0~),
+               libkdegames6-dev (>= 4:25.12.1~),
                libkf6config-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),
                libkf6crash-dev (>= 6.0.0~),

## kollision 25.12.1+p24.04+vstable+git20260128.0805

=== debian/changelog ===
kollision (4:25.12.1+p24.04+vstable+git20260128.0805-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 28 Jan 2026 08:05:17 +0000

kollision (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:27:52 +1000

## kollision 25.12.1+p24.04+vunstable+git20260131.0058

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
 # Release Service version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MAJOR "26")
+set (RELEASE_SERVICE_VERSION_MINOR "03")
+set (RELEASE_SERVICE_VERSION_MICRO "70")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump KOLLISION_BASE_VERSION once new features are added
@@ -51,8 +51,8 @@
 add_definitions(-DTRANSLATION_DOMAIN="kollision")
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.9.0
-    KF 6.19.0
+    QT 6.10.0
+    KF 6.21.0
     KDEGAMES 6.0
 )

=== debian/changelog ===
kollision (4:25.12.1+p24.04+vunstable+git20260131.0058-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 00:58:11 +0000

## kollision 25.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
 # Release Service version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "26")
-set (RELEASE_SERVICE_VERSION_MINOR "03")
-set (RELEASE_SERVICE_VERSION_MICRO "70")
+set (RELEASE_SERVICE_VERSION_MAJOR "25")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "2")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump KOLLISION_BASE_VERSION once new features are added
@@ -51,8 +51,8 @@
 add_definitions(-DTRANSLATION_DOMAIN="kollision")
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.10.0
-    KF 6.21.0
+    QT 6.9.0
+    KF 6.19.0
     KDEGAMES 6.0
 )

=== debian/changelog ===
kollision (4:25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:26:29 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:25.12.1~),
+               libkdegames6-dev (>= 4:25.12.2~),
                libkf6config-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),
                libkf6crash-dev (>= 6.0.0~),
